zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Norbert Kalmar <nkal...@cloudera.com.INVALID>
Subject Re: [DISCUSS] Is it time to remove Apache Ant from ZooKeeper?
Date Thu, 23 May 2019 09:55:23 GMT
3.4 will remain on Ant, we have decided/voted/discussed (not sure which was
it :) ) that not long ago. Even maven is faulty on 3.4 ...
So only 3.5 and master is on the vote.

Thanks Enrico for working on this!

On Wed, May 22, 2019 at 7:06 PM Enrico Olivelli <eolivelli@gmail.com> wrote:

> Il mer 22 mag 2019, 12:17 Norbert Kalmar <nkalmar@cloudera.com.invalid> ha
> scritto:
>
> > And "release with Ant" I mean the 3.5.5 src tarball containing the Ant
> > script as well, so people have the option to build it with Ant.
> >
>
> IMHO this is not a big deal. The release has been performed with Maven and
> the resulting artifacts are different from the Ant results.
> But I don't have a strong opinion here
>
> Enrico
>
> >
> >
> > On Wed, May 22, 2019 at 12:13 PM Norbert Kalmar <nkalmar@cloudera.com>
> > wrote:
> >
> > > Sorry, I was too quick to reply, didn't think it through.
> > > We did release the first stable 3.5 ZooKeeper with Ant, so I guess we
> > will
> > > need to support on 3.5.x
> > >
> > > On Wed, May 22, 2019 at 12:12 PM Norbert Kalmar <nkalmar@cloudera.com>
> > > wrote:
> > >
> > >> +1, let's remove it. I would say lets remove Ant from 3.5 branch as
> > well.
> > >> Having 2 build system is just a huge source of confusion, especially
> > that
> > >> we have dependency versions in two different locations.
> > >>
> > >> Regards,
> > >> Norbert
> > >>
> > >> On Wed, May 22, 2019 at 9:44 AM Tamas Penzes
> > <tamaas@cloudera.com.invalid>
> > >> wrote:
> > >>
> > >>> Hi All,
> > >>>
> > >>> Not that long ago we did have a discuss about removing Ant from
> > >>> ZooKeeper.
> > >>> I'd like to restart that discussion since ZooKeeper 3.5.5 is GA and
> it
> > >>> was
> > >>> built and released with Maven.
> > >>> Is it time to remove Ant from the master branch?
> > >>>
> > >>> That would mean that Ant would not be available from the next minor
> > >>> version, which is probably 3.6.0.
> > >>>
> > >>> Please share your opinion.
> > >>>
> > >>> Thanks, Tamaas
> > >>>
> > >>
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message